Freeciv-3.3: player_diplstate Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
player_diplstate Struct Reference

`#include <player.h>`

## Data Fields

enum diplstate_type | type
enum diplstate_type | max_state
int | first_contact_turn
char | turns_left
char | has_reason_to_cancel
char | contact_turns_left
int | auto_cancel_turn

## Detailed Description

Definition at line 198 of file player.h.

## Field Documentation

## ◆ auto_cancel_turn

int player_diplstate::auto_cancel_turn

Definition at line 206 of file player.h.

Referenced by update_diplomatics().

## ◆ contact_turns_left

char player_diplstate::contact_turns_left

Definition at line 204 of file player.h.

Referenced by package_player_diplstate(), and update_diplomatics().

## ◆ first_contact_turn

int player_diplstate::first_contact_turn

Definition at line 201 of file player.h.

Referenced by dai_diplomacy_actions(), dai_goldequiv_clause(), and update_diplomatics().

## ◆ has_reason_to_cancel

char player_diplstate::has_reason_to_cancel

Definition at line 203 of file player.h.

Referenced by action_give_casus_belli(), dai_war_desire(), handle_diplomacy_cancel_pact(), is_diplrel_between(), and update_diplomatics().

## ◆ max_state

enum diplstate_type player_diplstate::max_state

Definition at line 200 of file player.h.

Referenced by valid_dst_closest().

## ◆ turns_left

char player_diplstate::turns_left

Definition at line 202 of file player.h.

Referenced by diplo_wdg::diplo_wdg(), and update_diplomatics().

## ◆ type

enum diplstate_type player_diplstate::type

Definition at line 199 of file player.h.

Referenced by add_clause(), adv_is_player_dangerous(), create_clause_menu(), dai_diplomacy_actions(), dai_hunter_try_launch(), dai_treaty_accepted(), dai_treaty_evaluate(), dai_war_desire(), diplo_wdg::diplo_wdg(), do_paradrop(), handle_diplomacy_cancel_pact(), is_diplrel_between(), is_valid_alliance(), plr_widget::nation_selected(), players_non_invade(), players_war_callback(), players_war_callback(), popup_add_menu(), popup_diplomacy_dialog(), popup_diplomatic_objects(), popup_goto_airlift_dialog(), pplayer_can_cancel_treaty(), pplayer_can_make_treaty(), pplayers_allied(), pplayers_at_war(), pplayers_in_peace(), pplayers_non_attack(), real_players_dialog_update(), rel_may_become_war(), score_tooltip(), sg_load_players(), sg_load_players(), shared_vision_is_safe(), diplo_wdg::show_menu(), update_diplomatics(), update_intel_dialog(), and valid_dst_closest().